incubator-sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bdelacre...@apache.org
Subject svn commit: r662763 - /incubator/sling/trunk/etc/notice/mknotice
Date Tue, 03 Jun 2008 12:22:40 GMT
Author: bdelacretaz
Date: Tue Jun  3 05:22:40 2008
New Revision: 662763

URL: http://svn.apache.org/viewvc?rev=662763&view=rev
Log:
SLING-493 - fix wrong test scope filter

Modified:
    incubator/sling/trunk/etc/notice/mknotice

Modified: incubator/sling/trunk/etc/notice/mknotice
URL: http://svn.apache.org/viewvc/incubator/sling/trunk/etc/notice/mknotice?rev=662763&r1=662762&r2=662763&view=diff
==============================================================================
--- incubator/sling/trunk/etc/notice/mknotice (original)
+++ incubator/sling/trunk/etc/notice/mknotice Tue Jun  3 05:22:40 2008
@@ -17,7 +17,7 @@
 # Those NOTICE fragment files are found under the
 #Ê"notices" directory that must be found in hte
 # directory that contains this script.
-# 
+#
 
 ME=$(basename $0)
 MYDIR=$(dirname $0)
@@ -30,7 +30,7 @@
 
 fatal() {
   echo ""
-  echo "$0: FATAL ERROR:" $* >&2
+  echo "$0 ($PWD): FATAL ERROR:" $* >&2
   exit 1
 }
 
@@ -51,12 +51,12 @@
 # Collect dependencies of current module, and filter their names
 # so that they can be used as input to map_deps
 collect_deps() {
-  NO_NOTICE_FILTER="org.apache|commons-|javax."
+  NO_NOTICE_FILTER="org.apache|commons-"
   GOAL="dependency:resolve"
   
   ( mvn $MVN_OPT $GOAL || fatal "mvn $MVN_OPT $GOAL failed" ) \
   | grep '\[INFO\].*:.*:.*:.*' \
-  | grep -v "(scope[ ]*=[ ]*test" \
+  | grep -v ":test$" \
   | grep -v 'Finished at:' \
   | egrep -v "$NO_NOTICE_FILTER" | awk -F' ' '{ print $2 }' \
   | cut -d':' -f1-2



Mime
View raw message